diff mbox series

[v6,10/13] ci: refine coverage tests

Message ID 1534442411-9502-11-git-send-email-odpbot@yandex.ru
State New
Headers show
Series [v6,1/13] travis: add docker tests | expand

Commit Message

Github ODP bot Aug. 16, 2018, 6 p.m. UTC
From: Maxim Uvarov <maxim.uvarov@linaro.org>


Signed-off-by: Maxim Uvarov <maxim.uvarov@linaro.org>

---
/** Email created from pull request 647 (muvarov:master_docker2)
 ** https://github.com/Linaro/odp/pull/647
 ** Patch: https://github.com/Linaro/odp/pull/647.patch
 ** Base sha: 6886a2ca3d3dd1157302ddee424c36f632903bd0
 ** Merge commit sha: f6c5d19f7fb9f83b8a2cbbed692a510146ca7df9
 **/
 scripts/ci/coverage.sh | 28 +++++++++++++++++++++++++++-
 1 file changed, 27 insertions(+), 1 deletion(-)
diff mbox series

Patch

diff --git a/scripts/ci/coverage.sh b/scripts/ci/coverage.sh
index 279ab5dcf..2627d64ba 100755
--- a/scripts/ci/coverage.sh
+++ b/scripts/ci/coverage.sh
@@ -10,21 +10,47 @@  CWD=$(dirname "$0")
 TDIR=`mktemp -d -p ~`
 
 cd ${TDIR}
+echo 1000 | tee /proc/sys/vm/nr_hugepages
+mkdir -p /mnt/huge
+mount -t hugetlbfs nodev /mnt/huge
 
 git clone ${CWD}/../../ odp
 cd ./odp
 ./bootstrap
 ./configure \
-	CFLAGS="-O0 -coverage" CXXFLAGS="-O0 -coverage" LDFLAGS="--coverage" \
+	CFLAGS="-O0 -coverage $CLFAGS" CXXFLAGS="-O0 -coverage $CXXFLAGS" LDFLAGS="--coverage $LDFLAGS" \
 	--enable-debug=full --enable-helper-linux --enable-dpdk
 export CCACHE_DISABLE=1
 make -j $(nproc)
 
+# ignore possible failures there because these tests depends on measurements
+# and systems might differ in performance.
+export ci="true"
+
 ODP_SCHEDULER=basic    make check
+if [ $? -ne 0 ]; then
+  find . -name "*.trs" | xargs grep -l '^.test-result. FAIL' | while read trs ; do echo FAILURE detected at $trs; cat ${trs%%.trs}.log ; done
+fi
+
 ODP_SCHEDULER=sp       make check
+if [ $? -ne 0 ]; then
+  find . -name "*.trs" | xargs grep -l '^.test-result. FAIL' | while read trs ; do echo FAILURE detected at $trs; cat ${trs%%.trs}.log ; done
+fi
+
 ODP_SCHEDULER=iquery   make check
+if [ $? -ne 0 ]; then
+  find . -name "*.trs" | xargs grep -l '^.test-result. FAIL' | while read trs ; do echo FAILURE detected at $trs; cat ${trs%%.trs}.log ; done
+fi
+
 ODP_SCHEDULER=scalable make check
+if [ $? -ne 0 ]; then
+  find . -name "*.trs" | xargs grep -l '^.test-result. FAIL' | while read trs ; do echo FAILURE detected at $trs; cat ${trs%%.trs}.log ; done
+fi
+
+
 bash <(curl -s https://codecov.io/bash) -X coveragepy
 
 cd ~
 rm -rf ${TDIR}
+
+umount /mnt/huge